function [positions, clockError] = callTrackingMethod(pTrackingMethod, pData, pSoundsourcePositions, pCombinationDetails)
%CALLTRACKINGMETHOD Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

positions = [];
clockError = [];

if ~artoa.data.hasMember(artoaWorkspace, {'plugins', 'tracking', 'functionHandles', pTrackingMethod})
    return;
end

[positions, clockError] = artoaWorkspace.plugins.tracking.functionHandles.(pTrackingMethod)( ...
    pData, ...
    pSoundsourcePositions, ...
    pCombinationDetails ...
    );


end

