function [] = buttonUndoLastCopy(~, ~)
%BUTTONUNDOLASTCOPY Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;


%% Restore offset table values
lastValues = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'undoCopyValues'}, false);

if islogical(lastValues)
    return;
end

artoaWorkspace.editOffsets.offsets.AppliedOffset = lastValues.AppliedOffset;
artoaWorkspace.editOffsets.offsets.AppliedDrift = lastValues.AppliedDrift;

%% Restore soundspeed
lastSoundspeed = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'undoCopySoundspeed'}, false);

if islogical(lastSoundspeed)
    return;
end

artoaWorkspace.editOffsets.soundspeed.Applied(1) = lastSoundspeed(1);

artoa.controller.edit.offsets.updateGui();

end

