function [] = restoreView(~, eventData)
%RESTOREVIEW Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace;

%% Reset limits of axes

axes = eventData.Axes;

[axes.XLim, axes.YLim] = artoa.data.getPressureLimits(artoaWorkspace, artoaWorkspace.hideDeletedDataPoints);

%% Add some space around
factor = 0.05;
axes.XLim(1) = axes.XLim(1) - abs(diff(axes.XLim)) * factor;
axes.XLim(2) = axes.XLim(2) + abs(diff(axes.XLim)) * factor;
axes.YLim(1) = axes.YLim(1) - abs(diff(axes.YLim)) * factor;
axes.YLim(2) = axes.YLim(2) + abs(diff(axes.YLim)) * factor;

end

