function [] = saveInterim(~, ~)
%SAVEINTERIM Saves the current state of ARTOA4 to the file specified by dialog.
%   

global artoaWorkspace artoaConfig artoaDataInput;

%% Get required variables
folder = artoa.data.getMember(artoaConfig, {'directory', 'interim'}, pwd());
filter = artoa.data.getMember(artoaConfig, {'filemask', 'interim'}, '*.itm');

%% Ask for filename
[filename, pathname] = uiputfile(fullfile(folder, filter));

filepath = fullfile(pathname, filename);

save(filepath, 'artoaWorkspace', 'artoaDataInput', 'artoaConfig');


end

