function [] = addDefaults()
%ADDDEFAULTS Summary of this function goes here
%   Detailed explanation goes here

global artoaConfig;

if ~artoa.data.hasMember(artoaConfig, 'defaults')
    artoaConfig.defaults = struct();
end
artoaConfig.defaults.interpolationMethods = { ...
    'None', ...
    'Linear', ...
    'Spline', ...
    'Cubic' ...
};
artoaConfig.defaults.soundspeedMethods = { ...
    'Del Grosso', ...
    'Linear', ...
    'Soundsource file', ...
    'Levitus', ...
    'Manual' ...
};
artoaConfig.defaults.pickPointMarkerSize = 80;
artoaConfig.defaults.topographicalLines = { ...
        -1000; ...
        -2000; ...
        -3000 ...
        };


end

